Skip to main content
`Ctrl`+`K`

# MatNestGetLocalISs

Returns the index sets partitioning the row and column spaces of a `MATNEST`

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatNestGetLocalISs(Mat A, IS rows[], IS cols[])

Not Collective

## Input Parameter

- A - `MATNEST` matrix

## Output Parameters

- rows - array of row index sets (pass `NULL` to ignore)

- cols - array of column index sets (pass `NULL` to ignore)

## Note

The user must have allocated arrays of the correct size. The reference count is not increased on the returned `IS`s.

## See Also

Matrices, `Mat`, `MATNEST`, `MatNestGetSubMat()`, `MatNestGetSubMats()`, `MatNestGetSize()`, `MatNestGetISs()`, `MatCreateNest()`, `MatNestSetSubMats()`, `MatNestSetSubMat()`

## Level

advanced

## Location

src/mat/impls/nest/matnest.c

## Implementations

MatNestGetLocalISs_Nest() in src/mat/impls/nest/matnest.c

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages